
Application: gvSIG desktop - gvSIG bugs #5649
Error al insertar en la copia de trabajo
05/14/2021 03:18 PM - Victor  Montes Camara

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3222 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown
Description

Estoy intentando insertar en la copia de trabajo la capa ENT_168806_ACTUAL que corresponde con la tabla de pintura vial de tráfico
(con más de 600.000 registros) , cargada desde Oracle y me da el siguiente error:

WARN 1288323 VCSGisAddToWorkingCopy org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl - Can't add features to
'ENT_168806_ACTUAL' in 'jdbc:h2:file:C:/Users/vicmon/Desktop/Control Versiones gvSIG/Pruebas repositorio en
Oracle/3222_2/ct2;MODE=PostgreSQL;SCHEMA=PUBLIC;ALLOW_LITERALS=ALL'.
org.gvsig.fmap.dal.feature.exception.StoreInsertFeatureException: Can't insert feature in store 'ENT_168806_ACTUAL'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1535)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.addNewTable(VCSGisWorkspaceImpl.java:1090)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.add(VCSGisWorkspaceImpl.java:1030)
    at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspaceImpl.add(VCSGisWorkspaceImpl.java:1022)
    at org.gvsig.vcsgis.swing.impl.addToWorkspace.VCSGisJAddToWorkspaceImpl.add(VCSGisJAddToWorkspaceImpl.java:370)
    at org.gvsig.vcsgis.app.VCSGisExtension.lambda$showAddToWorkspaceDialog$1(VCSGisExtension.java:193)
    at org.gvsig.vcsgis.app.VCSGisDialogsHelper$VCSGisDialogInfo.performDialogAction(VCSGisDialogsHelper.java:83)
    at org.gvsig.vcsgis.app.VCSGisDialogsHelper$VCSGisDialogInfo.lambda$null$0(VCSGisDialogsHelper.java:137)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.RuntimeException: Can't insert feature.
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:220)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.append(JDBCStoreProviderBase.java:625)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1507)
    ... 8 more
Caused by: org.h2.jdbc.JdbcBatchUpdateException: Violación de Check constraint: "NVL2 = 25830)
    AND ((PUBLIC.ST_GEOMETRYTYPECODE(AA_GEOM) = 0)
    AND (PUBLIC.ST_COORDDIM(AA_GEOM) = 2))), TRUE)" 
Check constraint violation: "NVL2 = 25830)
    AND ((PUBLIC.ST_GEOMETRYTYPECODE(AA_GEOM) = 0)
    AND (PUBLIC.ST_COORDDIM(AA_GEOM) = 2))), TRUE)"; SQL statement:
INSERT INTO "PUBLIC"."ENT_168806_ACTUAL" ( "AA_GEOM", "MSLINK", "FCOLOR", "FECHA_BAJA", "NUM_VERSION",
"VCSGISCODE" ) VALUES ( ST_GeomFromWKB((?), (?)), ?, ?, ?, ?, ? ) [23513-196]
    at org.h2.jdbc.JdbcPreparedStatement.executeBatch(JdbcPreparedStatement.java:1234)
    at org.apache.commons.dbcp.DelegatingStatement.executeBatch(DelegatingStatement.java:297)
    at org.gvsig.fmap.dal.store.jdbc2.JDBCUtils.executeBatch(JDBCUtils.java:205)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.executeBatch(AppendOperation.java:231)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:205)
    ... 10 more
He probado con una copia de trabajo que ataca a un servidor web y con otra que ataca directamente a la base de datos y el resultado
es el mismo.

Con un shapefile, generado anteriormente, sí inserta en la copia de trabajo, pero al intentar mostrar los cambios para hacer el
commit, la aplicación no responde.
Envío el log completo.

History
#1 - 09/14/2021 07:14 PM - Joaquín  del Cerro Murciano
- Hito set to Fase 01
- Proyecto set to AYTOA 1

#2 - 08/03/2023 02:26 PM - Álvaro Anguix
- Status changed from New to Outdated

Files
gvSIG.zip 58.2 KB 05/14/2021 Victor  Montes Camara
